diff --git a/base/server/src/scriptlets/finalization.py b/base/server/src/scriptlets/finalization.py
index 6da46469cdb58dc72ec4a9a2dee951c41c963b28..8f325005a6ad84705b07bda3d458987ded097341 100644
--- a/base/server/src/scriptlets/finalization.py
+++ b/base/server/src/scriptlets/finalization.py
@@ -47,7 +47,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                             extra=config.PKI_INDENTATION_LEVEL_1)
         # For debugging/auditing purposes, save a timestamped copy of
         # this configuration file in the subsystem archive
-        util.file.copy(master['pki_user_deployment_cfg_replica'],
+        util.File.copy(master['pki_user_deployment_cfg_replica'],
                        master['pki_user_deployment_cfg_spawn_archive'])
         # Save a copy of the installation manifest file
         config.pki_log.info(log.PKI_MANIFEST_MESSAGE_1, master['pki_manifest'],
@@ -56,15 +56,15 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         #     print tuple(record)
         manifest.file.register(master['pki_manifest'])
         manifest.file.write()
-        util.file.modify(master['pki_manifest'], silent=True)
+        util.File.modify(master['pki_manifest'], silent=True)
 
         # Also, for debugging/auditing purposes, save a timestamped copy of
         # this installation manifest file
-        util.file.copy(master['pki_manifest'],
+        util.File.copy(master['pki_manifest'],
                        master['pki_manifest_spawn_archive'])
         # Optionally, programmatically 'restart' the configured PKI instance
         if config.str2bool(master['pki_restart_configured_instance']):
-            util.systemd.restart()
+            util.Systemd.restart()
         # Optionally, 'purge' the entire temporary client infrastructure
         # including the client NSS security databases and password files
         #
@@ -73,35 +73,35 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         #               be deleted!
         #
         if config.str2bool(master['pki_client_database_purge']):
-            if util.directory.exists(master['pki_client_subsystem_dir']):
-                util.directory.delete(master['pki_client_subsystem_dir'])
+            if util.Directory.exists(master['pki_client_subsystem_dir']):
+                util.Directory.delete(master['pki_client_subsystem_dir'])
         # If instance has not been configured, print the
         # configuration URL to the log
         if config.str2bool(master['pki_skip_configuration']):
-            util.configuration_file.log_configuration_url()
+            util.Configuration_file.log_configuration_url()
         # Log final process messages
         config.pki_log.info(log.PKISPAWN_END_MESSAGE_2,
                             master['pki_subsystem'],
                             master['pki_instance_name'],
                             extra=config.PKI_INDENTATION_LEVEL_0)
-        util.file.modify(master['pki_spawn_log'], silent=True)
+        util.File.modify(master['pki_spawn_log'], silent=True)
         # If instance has not been configured, print the
         # configuration URL to the screen
         if config.str2bool(master['pki_skip_configuration']):
-            util.configuration_file.display_configuration_url()
+            util.Configuration_file.display_configuration_url()
         return self.rv
 
     def destroy(self):
         config.pki_log.info(log.FINALIZATION_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
-        util.file.modify(master['pki_destroy_log'], silent=True)
+        util.File.modify(master['pki_destroy_log'], silent=True)
         # Start this Apache/Tomcat PKI Process
         if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
-           util.instance.apache_instance_subsystems() >= 1:
-            util.systemd.start()
+           util.Instance.apache_instance_subsystems() >= 1:
+            util.Systemd.start()
         elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-           len(util.instance.tomcat_instance_subsystems()) >= 1:
-            util.systemd.start()
+           len(util.Instance.tomcat_instance_subsystems()) >= 1:
+            util.Systemd.start()
         config.pki_log.info(log.PKIDESTROY_END_MESSAGE_2,
                             master['pki_subsystem'],
                             master['pki_instance_name'],
diff --git a/base/server/src/scriptlets/infrastructure_layout.py b/base/server/src/scriptlets/infrastructure_layout.py
index f3535d7674d54f75634054966b5ae17453782b28..e76ab90556ddca55f40264ecd4f497a1e53e7827 100644
--- a/base/server/src/scriptlets/infrastructure_layout.py
+++ b/base/server/src/scriptlets/infrastructure_layout.py
@@ -52,11 +52,11 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # registry directories for storage of a copy of the original
         # deployment configuration file used to spawn this instance,
         # and save a copy of this file
-        util.directory.create(master['pki_registry_path'])
-        util.directory.create(master['pki_instance_type_registry_path'])
-        util.directory.create(master['pki_instance_registry_path'])
-        util.directory.create(master['pki_subsystem_registry_path'])
-        util.file.copy(master['pki_default_deployment_cfg'],
+        util.Directory.create(master['pki_registry_path'])
+        util.Directory.create(master['pki_instance_type_registry_path'])
+        util.Directory.create(master['pki_instance_registry_path'])
+        util.Directory.create(master['pki_subsystem_registry_path'])
+        util.File.copy(master['pki_default_deployment_cfg'],
                        master['pki_default_deployment_cfg_replica'])
 
         print "Storing deployment configuration into " + config.pki_master_dict['pki_user_deployment_cfg_replica'] + "."
@@ -73,10 +73,10 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # establish top-level infrastructure, instance, and subsystem
         # base directories and create the "registry" symbolic link that
         # the "pkidestroy" executable relies upon
-        util.directory.create(master['pki_path'])
-        util.directory.create(master['pki_instance_path'])
-        util.directory.create(master['pki_subsystem_path'])
-        util.symlink.create(master['pki_instance_registry_path'],
+        util.Directory.create(master['pki_path'])
+        util.Directory.create(master['pki_instance_path'])
+        util.Directory.create(master['pki_subsystem_path'])
+        util.Symlink.create(master['pki_instance_registry_path'],
                             master['pki_subsystem_registry_link'])
         #
         # NOTE:  If "infrastructure_layout" scriptlet execution has been
@@ -88,9 +88,9 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # and will already exist
         # util.directory.create(master['pki_log_path'])
         # establish top-level infrastructure configuration
-        if master['pki_configuration_path'] !=\
+        if master['pki_configuration_path'] != \
            config.PKI_DEPLOYMENT_CONFIGURATION_ROOT:
-            util.directory.create(master['pki_configuration_path'])
+            util.Directory.create(master['pki_configuration_path'])
         return self.rv
 
     def destroy(self):
@@ -98,17 +98,17 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                             extra=config.PKI_INDENTATION_LEVEL_1)
         # remove top-level infrastructure base
         if master['pki_subsystem'] in config.PKI_SUBSYSTEMS and\
-           util.instance.pki_instance_subsystems() == 0:
+           util.Instance.pki_instance_subsystems() == 0:
             # remove top-level infrastructure base
-            util.directory.delete(master['pki_path'])
+            util.Directory.delete(master['pki_path'])
             # do NOT remove top-level infrastructure logs
             # since it now stores 'pkispawn'/'pkidestroy' logs
             # util.directory.delete(master['pki_log_path'])
             # remove top-level infrastructure configuration
-            if util.directory.is_empty(master['pki_configuration_path'])\
+            if util.Directory.is_empty(master['pki_configuration_path'])\
                and master['pki_configuration_path'] !=\
                config.PKI_DEPLOYMENT_CONFIGURATION_ROOT:
-                util.directory.delete(master['pki_configuration_path'])
+                util.Directory.delete(master['pki_configuration_path'])
             # remove top-level infrastructure registry
-            util.directory.delete(master['pki_registry_path'])
+            util.Directory.delete(master['pki_registry_path'])
         return self.rv
diff --git a/base/server/src/scriptlets/initialization.py b/base/server/src/scriptlets/initialization.py
index f3839fb059a6b8346705bbb3ec8dd3c594282e8e..5712edd4ac8dbba917677556d4608705912b38f3 100644
--- a/base/server/src/scriptlets/initialization.py
+++ b/base/server/src/scriptlets/initialization.py
@@ -48,28 +48,28 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                config.str2bool(master['pki_external_step_two']):
                 # verify that this type of "subsystem" currently EXISTS
                 # for this "instance" (External CA Step 2)
-                util.instance.verify_subsystem_exists()
-                master['pki_skip_installation'] = "True";
+                util.Instance.verify_subsystem_exists()
+                master['pki_skip_installation'] = "True"
             else:
                 # verify that this type of "subsystem" does NOT yet
                 # exist for this "instance"
-                util.instance.verify_subsystem_does_not_exist()
+                util.Instance.verify_subsystem_does_not_exist()
                 # detect and avoid any namespace collisions
-                util.namespace.collision_detection()
+                util.Namespace.collision_detection()
         # initialize 'uid' and 'gid'
-        util.identity.add_uid_and_gid(master['pki_user'], master['pki_group'])
+        util.Identity.add_uid_and_gid(master['pki_user'], master['pki_group'])
         # establish 'uid' and 'gid'
-        util.identity.set_uid(master['pki_user'])
-        util.identity.set_gid(master['pki_group'])
+        util.Identity.set_uid(master['pki_user'])
+        util.Identity.set_gid(master['pki_group'])
         # verify existence of SENSITIVE configuration file data
-        util.configuration_file.verify_sensitive_data()
+        util.Configuration_file.verify_sensitive_data()
         # verify existence of MUTUALLY EXCLUSIVE configuration file data
-        util.configuration_file.verify_mutually_exclusive_data()
+        util.Configuration_file.verify_mutually_exclusive_data()
         # verify existence of PREDEFINED configuration file data
-        util.configuration_file.verify_predefined_configuration_file_data()
+        util.Configuration_file.verify_predefined_configuration_file_data()
         # verify selinux context of selected ports
-        util.configuration_file.populate_non_default_ports()
-        util.configuration_file.verify_selinux_ports()
+        util.Configuration_file.populate_non_default_ports()
+        util.Configuration_file.verify_selinux_ports()
         return self.rv
 
     def destroy(self):
@@ -82,22 +82,22 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                             extra=config.PKI_INDENTATION_LEVEL_1)
         # verify that this type of "subsystem" currently EXISTS
         # for this "instance"
-        util.instance.verify_subsystem_exists()
+        util.Instance.verify_subsystem_exists()
         # verify that the command-line parameters match the values
         # that are present in the corresponding configuration file
-        util.configuration_file.verify_command_matches_configuration_file()
+        util.Configuration_file.verify_command_matches_configuration_file()
         # establish 'uid' and 'gid'
-        util.identity.set_uid(master['pki_user'])
-        util.identity.set_gid(master['pki_group'])
+        util.Identity.set_uid(master['pki_user'])
+        util.Identity.set_gid(master['pki_group'])
         # get ports to remove selinux context
-        util.configuration_file.populate_non_default_ports()
+        util.Configuration_file.populate_non_default_ports()
 
         # get deinstallation token
-        token = util.security_domain.get_installation_token(
+        token = util.Security_domain.get_installation_token(
             config.pki_secdomain_user, config.pki_secdomain_pass)
 
         # remove kra connector from CA if this is a KRA
-        util.kra_connector.deregister()
+        util.KRA_connector.deregister()
 
         # de-register instance from its Security Domain
         #
@@ -107,7 +107,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         #            instance's security domain may be a part of a
         #            tightly-coupled shared instance.
         #
-        util.security_domain.deregister(token)
+        util.Security_domain.deregister(token)
         # ALWAYS Stop this Apache/Tomcat PKI Process
-        util.systemd.stop()
+        util.Systemd.stop()
         return self.rv
diff --git a/base/server/src/scriptlets/instance_layout.py b/base/server/src/scriptlets/instance_layout.py
index 07ae03e9a00c3466cdfe23410f1ebe0259c89847..4fb42e634a50d0b0d761143d43ea0fb0e2f9f6da 100644
--- a/base/server/src/scriptlets/instance_layout.py
+++ b/base/server/src/scriptlets/instance_layout.py
@@ -44,103 +44,103 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         config.pki_log.info(log.INSTANCE_SPAWN_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
         # establish instance logs
-        util.directory.create(master['pki_instance_log_path'])
+        util.Directory.create(master['pki_instance_log_path'])
         # establish instance configuration
-        util.directory.create(master['pki_instance_configuration_path'])
+        util.Directory.create(master['pki_instance_configuration_path'])
         # establish Apache/Tomcat specific instance
         if master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
             # establish Tomcat instance configuration
-            util.directory.copy(master['pki_source_server_path'],
+            util.Directory.copy(master['pki_source_server_path'],
                                 master['pki_instance_configuration_path'],
                                 overwrite_flag=True)
             # establish Tomcat instance base
-            util.directory.create(master['pki_tomcat_common_path'])
-            util.directory.create(master['pki_tomcat_common_lib_path'])
+            util.Directory.create(master['pki_tomcat_common_path'])
+            util.Directory.create(master['pki_tomcat_common_lib_path'])
             # establish Tomcat instance library
-            util.directory.create(master['pki_instance_lib'])
+            util.Directory.create(master['pki_instance_lib'])
             for name in os.listdir(master['pki_tomcat_lib_path']):
-                util.symlink.create(
+                util.Symlink.create(
                     os.path.join(
                         master['pki_tomcat_lib_path'],
                         name),
                     os.path.join(
                         master['pki_instance_lib'],
                         name))
-            util.symlink.create(master['pki_instance_conf_log4j_properties'],
+            util.Symlink.create(master['pki_instance_conf_log4j_properties'],
                                 master['pki_instance_lib_log4j_properties'])
-            util.directory.create(master['pki_tomcat_tmpdir_path'])
-            util.directory.create(master['pki_tomcat_webapps_path'])
-            util.directory.create(master['pki_tomcat_work_path'])
-            util.directory.create(master['pki_tomcat_work_catalina_path'])
-            util.directory.create(master['pki_tomcat_work_catalina_host_path'])
-            util.directory.create(
+            util.Directory.create(master['pki_tomcat_tmpdir_path'])
+            util.Directory.create(master['pki_tomcat_webapps_path'])
+            util.Directory.create(master['pki_tomcat_work_path'])
+            util.Directory.create(master['pki_tomcat_work_catalina_path'])
+            util.Directory.create(master['pki_tomcat_work_catalina_host_path'])
+            util.Directory.create(
                 master['pki_tomcat_work_catalina_host_run_path'])
-            util.directory.create(
+            util.Directory.create(
                 master['pki_tomcat_work_catalina_host_subsystem_path'])
             # establish Tomcat instance logs
             # establish Tomcat instance registry
             # establish Tomcat instance convenience symbolic links
-            util.symlink.create(master['pki_tomcat_bin_path'],
+            util.Symlink.create(master['pki_tomcat_bin_path'],
                                 master['pki_tomcat_bin_link'])
-            util.symlink.create(master['pki_tomcat_systemd'],
+            util.Symlink.create(master['pki_tomcat_systemd'],
                                 master['pki_instance_systemd_link'],
                                 uid=0, gid=0)
             # establish Tomcat instance common lib jar symbolic links
-            util.symlink.create(master['pki_apache_commons_collections_jar'],
+            util.Symlink.create(master['pki_apache_commons_collections_jar'],
                 master['pki_apache_commons_collections_jar_link'])
-            util.symlink.create(master['pki_apache_commons_lang_jar'],
+            util.Symlink.create(master['pki_apache_commons_lang_jar'],
                 master['pki_apache_commons_lang_jar_link'])
-            util.symlink.create(master['pki_apache_commons_logging_jar'],
+            util.Symlink.create(master['pki_apache_commons_logging_jar'],
                 master['pki_apache_commons_logging_jar_link'])
-            util.symlink.create(master['pki_commons_codec_jar'],
+            util.Symlink.create(master['pki_commons_codec_jar'],
                 master['pki_commons_codec_jar_link'])
-            util.symlink.create(master['pki_httpclient_jar'],
+            util.Symlink.create(master['pki_httpclient_jar'],
                 master['pki_httpclient_jar_link'])
-            util.symlink.create(master['pki_httpcore_jar'],
+            util.Symlink.create(master['pki_httpcore_jar'],
                 master['pki_httpcore_jar_link'])
-            util.symlink.create(master['pki_javassist_jar'],
+            util.Symlink.create(master['pki_javassist_jar'],
                 master['pki_javassist_jar_link'])
-            util.symlink.create(master['pki_resteasy_jaxrs_api_jar'],
+            util.Symlink.create(master['pki_resteasy_jaxrs_api_jar'],
                 master['pki_resteasy_jaxrs_api_jar_link'])
-            util.symlink.create(master['pki_jettison_jar'],
+            util.Symlink.create(master['pki_jettison_jar'],
                 master['pki_jettison_jar_link'])
-            util.symlink.create(master['pki_jss_jar'],
+            util.Symlink.create(master['pki_jss_jar'],
                 master['pki_jss_jar_link'])
-            util.symlink.create(master['pki_ldapjdk_jar'],
+            util.Symlink.create(master['pki_ldapjdk_jar'],
                 master['pki_ldapjdk_jar_link'])
-            util.symlink.create(master['pki_tomcat_jar'],
+            util.Symlink.create(master['pki_tomcat_jar'],
                 master['pki_tomcat_jar_link'])
-            util.symlink.create(master['pki_resteasy_atom_provider_jar'],
+            util.Symlink.create(master['pki_resteasy_atom_provider_jar'],
                 master['pki_resteasy_atom_provider_jar_link'])
-            util.symlink.create(master['pki_resteasy_jaxb_provider_jar'],
+            util.Symlink.create(master['pki_resteasy_jaxb_provider_jar'],
                 master['pki_resteasy_jaxb_provider_jar_link'])
-            util.symlink.create(master['pki_resteasy_jaxrs_jar'],
+            util.Symlink.create(master['pki_resteasy_jaxrs_jar'],
                 master['pki_resteasy_jaxrs_jar_link'])
-            util.symlink.create(master['pki_resteasy_jettison_provider_jar'],
+            util.Symlink.create(master['pki_resteasy_jettison_provider_jar'],
                 master['pki_resteasy_jettison_provider_jar_link'])
-            util.symlink.create(master['pki_scannotation_jar'],
+            util.Symlink.create(master['pki_scannotation_jar'],
                 master['pki_scannotation_jar_link'])
             if master['pki_subsystem'] == 'TKS':
-                util.symlink.create(master['pki_symkey_jar'],
+                util.Symlink.create(master['pki_symkey_jar'],
                     master['pki_symkey_jar_link'])
-            util.symlink.create(master['pki_tomcatjss_jar'],
+            util.Symlink.create(master['pki_tomcatjss_jar'],
                 master['pki_tomcatjss_jar_link'])
-            util.symlink.create(master['pki_velocity_jar'],
+            util.Symlink.create(master['pki_velocity_jar'],
                 master['pki_velocity_jar_link'])
-            util.symlink.create(master['pki_xerces_j2_jar'],
+            util.Symlink.create(master['pki_xerces_j2_jar'],
                 master['pki_xerces_j2_jar_link'])
-            util.symlink.create(master['pki_xml_commons_apis_jar'],
+            util.Symlink.create(master['pki_xml_commons_apis_jar'],
                 master['pki_xml_commons_apis_jar_link'])
-            util.symlink.create(master['pki_xml_commons_resolver_jar'],
+            util.Symlink.create(master['pki_xml_commons_resolver_jar'],
                 master['pki_xml_commons_resolver_jar_link'])
         # establish shared NSS security databases for this instance
-        util.directory.create(master['pki_database_path'])
+        util.Directory.create(master['pki_database_path'])
         # establish instance convenience symbolic links
-        util.symlink.create(master['pki_database_path'],
+        util.Symlink.create(master['pki_database_path'],
                             master['pki_instance_database_link'])
-        util.symlink.create(master['pki_instance_configuration_path'],
+        util.Symlink.create(master['pki_instance_configuration_path'],
                             master['pki_instance_conf_link'])
-        util.symlink.create(master['pki_instance_log_path'],
+        util.Symlink.create(master['pki_instance_log_path'],
                             master['pki_instance_logs_link'])
         return self.rv
 
@@ -148,38 +148,38 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         config.pki_log.info(log.INSTANCE_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
         if master['pki_subsystem'] == 'TKS':
-            util.symlink.delete(master['pki_symkey_jar_link'])
+            util.Symlink.delete(master['pki_symkey_jar_link'])
         if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
-           util.instance.apache_instance_subsystems() == 0:
+           util.Instance.apache_instance_subsystems() == 0:
             # remove Apache instance base
-            util.directory.delete(master['pki_instance_path'])
+            util.Directory.delete(master['pki_instance_path'])
             # remove Apache instance logs
             # remove shared NSS security database path for this instance
-            util.directory.delete(master['pki_database_path'])
+            util.Directory.delete(master['pki_database_path'])
             # remove Apache instance configuration
-            util.directory.delete(master['pki_instance_configuration_path'])
+            util.Directory.delete(master['pki_instance_configuration_path'])
             # remove Apache instance registry
-            util.directory.delete(master['pki_instance_registry_path'])
+            util.Directory.delete(master['pki_instance_registry_path'])
             # remove Apache PKI registry (if empty)
-            if util.instance.apache_instances() == 0:
-                util.directory.delete(
+            if util.Instance.apache_instances() == 0:
+                util.Directory.delete(
                     master['pki_instance_type_registry_path'])
         elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-             len(util.instance.tomcat_instance_subsystems()) == 0:
+             len(util.Instance.tomcat_instance_subsystems()) == 0:
             # remove Tomcat instance base
-            util.directory.delete(master['pki_instance_path'])
+            util.Directory.delete(master['pki_instance_path'])
             # remove Tomcat instance logs
-            util.directory.delete(master['pki_instance_log_path'])
+            util.Directory.delete(master['pki_instance_log_path'])
             # remove shared NSS security database path for this instance
-            util.directory.delete(master['pki_database_path'])
+            util.Directory.delete(master['pki_database_path'])
             # remove Tomcat instance configuration
-            util.directory.delete(master['pki_instance_configuration_path'])
+            util.Directory.delete(master['pki_instance_configuration_path'])
             # remove PKI 'tomcat.conf' instance file
-            util.file.delete(master['pki_target_tomcat_conf_instance_id'])
+            util.File.delete(master['pki_target_tomcat_conf_instance_id'])
             # remove Tomcat instance registry
-            util.directory.delete(master['pki_instance_registry_path'])
+            util.Directory.delete(master['pki_instance_registry_path'])
             # remove Tomcat PKI registry (if empty)
-            if util.instance.tomcat_instances() == 0:
-                util.directory.delete(
+            if util.Instance.tomcat_instances() == 0:
+                util.Directory.delete(
                     master['pki_instance_type_registry_path'])
         return self.rv
diff --git a/base/server/src/scriptlets/security_databases.py b/base/server/src/scriptlets/security_databases.py
index 029b8ebef7015a7b0711fe843558fabc742dbe07..d870db7c9897e6f15f24d0359a5d83069c398401 100644
--- a/base/server/src/scriptlets/security_databases.py
+++ b/base/server/src/scriptlets/security_databases.py
@@ -38,33 +38,33 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
             return self.rv
         config.pki_log.info(log.SECURITY_DATABASES_SPAWN_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
-        util.password.create_password_conf(
+        util.Password.create_password_conf(
             master['pki_shared_password_conf'],
             master['pki_pin'])
         # Since 'certutil' does NOT strip the 'token=' portion of
         # the 'token=password' entries, create a temporary server 'pfile'
         # which ONLY contains the 'password' for the purposes of
         # allowing 'certutil' to generate the security databases
-        util.password.create_password_conf(
+        util.Password.create_password_conf(
             master['pki_shared_pfile'],
             master['pki_pin'], pin_sans_token=True)
-        util.file.modify(master['pki_shared_password_conf'])
-        util.certutil.create_security_databases(
+        util.File.modify(master['pki_shared_password_conf'])
+        util.Certutil.create_security_databases(
             master['pki_database_path'],
             master['pki_cert_database'],
             master['pki_key_database'],
             master['pki_secmod_database'],
             password_file=master['pki_shared_pfile'])
-        util.file.modify(master['pki_cert_database'], perms=\
+        util.File.modify(master['pki_cert_database'], perms=\
             config.PKI_DEPLOYMENT_DEFAULT_SECURITY_DATABASE_PERMISSIONS)
-        util.file.modify(master['pki_key_database'], perms=\
+        util.File.modify(master['pki_key_database'], perms=\
             config.PKI_DEPLOYMENT_DEFAULT_SECURITY_DATABASE_PERMISSIONS)
-        util.file.modify(master['pki_secmod_database'], perms=\
+        util.File.modify(master['pki_secmod_database'], perms=\
             config.PKI_DEPLOYMENT_DEFAULT_SECURITY_DATABASE_PERMISSIONS)
 
-        if len(util.instance.tomcat_instance_subsystems()) < 2:
+        if len(util.Instance.tomcat_instance_subsystems()) < 2:
             # only create a self signed cert for a new instance  
-            rv = util.certutil.verify_certificate_exists(
+            rv = util.Certutil.verify_certificate_exists(
                  master['pki_database_path'],
                  master['pki_cert_database'],
                  master['pki_key_database'],
@@ -73,10 +73,10 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                  master['pki_self_signed_nickname'],
                  password_file=master['pki_shared_pfile'])
             if not rv:
-                util.file.generate_noise_file(
+                util.File.generate_noise_file(
                     master['pki_self_signed_noise_file'],
                     master['pki_self_signed_noise_bytes'])
-                util.certutil.generate_self_signed_certificate(
+                util.Certutil.generate_self_signed_certificate(
                     master['pki_database_path'],
                     master['pki_cert_database'],
                     master['pki_key_database'],
@@ -91,24 +91,24 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                     master['pki_self_signed_noise_file'],
                     password_file=master['pki_shared_pfile'])
                 # Delete the temporary 'noise' file
-                util.file.delete(master['pki_self_signed_noise_file'])
+                util.File.delete(master['pki_self_signed_noise_file'])
             # Delete the temporary 'pfile'
-            util.file.delete(master['pki_shared_pfile'])
+            util.File.delete(master['pki_shared_pfile'])
         return self.rv
 
     def destroy(self):
         config.pki_log.info(log.SECURITY_DATABASES_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
         if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
-           util.instance.apache_instance_subsystems() == 0:
-            util.file.delete(master['pki_cert_database'])
-            util.file.delete(master['pki_key_database'])
-            util.file.delete(master['pki_secmod_database'])
-            util.file.delete(master['pki_shared_password_conf'])
+           util.Instance.apache_instance_subsystems() == 0:
+            util.File.delete(master['pki_cert_database'])
+            util.File.delete(master['pki_key_database'])
+            util.File.delete(master['pki_secmod_database'])
+            util.File.delete(master['pki_shared_password_conf'])
         elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-             len(util.instance.tomcat_instance_subsystems()) == 0:
-            util.file.delete(master['pki_cert_database'])
-            util.file.delete(master['pki_key_database'])
-            util.file.delete(master['pki_secmod_database'])
-            util.file.delete(master['pki_shared_password_conf'])
+             len(util.Instance.tomcat_instance_subsystems()) == 0:
+            util.File.delete(master['pki_cert_database'])
+            util.File.delete(master['pki_key_database'])
+            util.File.delete(master['pki_secmod_database'])
+            util.File.delete(master['pki_shared_password_conf'])
         return self.rv
